[Debian-live-changes] r2394 - in dists/trunk/live-helper: docs functions

daniel at alioth.debian.org daniel at alioth.debian.org
Wed Jul 4 07:13:52 UTC 2007


Author: daniel
Date: 2007-07-04 07:13:52 +0000 (Wed, 04 Jul 2007)
New Revision: 2394

Modified:
   dists/trunk/live-helper/docs/ChangeLog
   dists/trunk/live-helper/functions/defaults.sh
Log:


Modified: dists/trunk/live-helper/docs/ChangeLog
===================================================================
--- dists/trunk/live-helper/docs/ChangeLog	2007-07-03 22:09:33 UTC (rev 2393)
+++ dists/trunk/live-helper/docs/ChangeLog	2007-07-04 07:13:52 UTC (rev 2394)
@@ -1,3 +1,8 @@
+2007-07-04  Daniel Baumann  <daniel at debian.org>
+
+	* functions/defaults.sh:
+	  - Added architecture handling to mirror defaults.
+
 2007-07-02  Otavio Salvador  <otavio at debian.org>
 
 	* helpers/lh_binary_syslinux:

Modified: dists/trunk/live-helper/functions/defaults.sh
===================================================================
--- dists/trunk/live-helper/functions/defaults.sh	2007-07-03 22:09:33 UTC (rev 2393)
+++ dists/trunk/live-helper/functions/defaults.sh	2007-07-04 07:13:52 UTC (rev 2394)
@@ -248,11 +248,32 @@
 	then
 		case "${LH_MODE}" in
 			debian)
-				LIVE_MIRROR_BOOTSTRAP="http://ftp.debian.org/debian/"
+				case "${LIVE_ARCHITECTURE}" in
+					amd64|i386)
+						LIVE_MIRROR_BOOTSTRAP="http://ftp.debian.org/debian/"
+						;;
+
+					*)
+						LIVE_MIRROR_BOOTSTRAP="http://ftp.de.debian.org/debian/"
+						;;
+				esac
 				;;
 
 			ubuntu)
-				LIVE_MIRROR_BOOTSTRAP="http://archive.ubuntu.com/ubuntu/"
+				case "${LIVE_ARCHITECTURE}" in
+					amd64|i386|powerpc|sparc)
+						LIVE_MIRROR_BOOTSTRAP="http://archive.ubuntu.com/ubuntu/"
+						;;
+
+					hppa|ia64)
+						LIVE_MIRROR_BOOTSTRAP="http://ports.ubuntu.com/"
+						;;
+
+					*)
+						Echo_error "There is no port of Ubuntu available for your architecture."
+						exit 1
+						;;
+				esac
 				;;
 		esac
 	fi
@@ -266,7 +287,19 @@
 				;;
 
 			ubuntu)
-				LIVE_MIRROR_BOOTSTRAP_SECURITY="http://security.ubuntu.org/ubuntu/"
+				case "${LIVE_ARCHITECTURE}" in
+					amd64|i386|powerpc|sparc)
+						LIVE_MIRROR_BOOTSTRAP_SECURITY="http://archive.ubuntu.com/ubuntu/"
+						;;
+
+					hppa|ia64)
+						LIVE_MIRROR_BOOTSTRAP_SECURITY="http://ports.ubuntu.com/"
+						;;
+
+					*)
+						LIVE_MIRROR_BOOTSTRAP_SECURITY="none"
+						;;
+				esac
 				;;
 		esac
 	fi
@@ -276,11 +309,32 @@
 	then
 		case "${LH_MODE}" in
 			debian)
-				LIVE_MIRROR_BINARY="http://ftp.debian.org/debian/"
+				case "${LIVE_ARCHITECTURE}" in
+					amd64|i386)
+						LIVE_MIRROR_BINARY="http://ftp.debian.org/debian/"
+						;;
+
+					*)
+						LIVE_MIRROR_BINARY="http://ftp.de.debian.org/debian/"
+						;;
+				esac
 				;;
 
 			ubuntu)
-				LIVE_MIRROR_BINARY="http://archive.ubuntu.com/ubuntu/"
+				case "${LIVE_ARCHITECTURE}" in
+					amd64|i386|powerpc|sparc)
+						LIVE_MIRROR_BINARY="http://archive.ubuntu.com/ubuntu/"
+						;;
+
+					hppa|ia64)
+						LIVE_MIRROR_BINARY="http://ports.ubuntu.com/"
+						;;
+
+					*)
+						Echo_error "There is no port of Ubuntu available for your architecture."
+						exit 1
+						;;
+				esac
 				;;
 		esac
 	fi
@@ -294,7 +348,15 @@
 				;;
 
 			ubuntu)
-				LIVE_MIRROR_BINARY_SECURITY="http://security.ubuntu.com/ubuntu/"
+				case "${LIVE_ARCHITECTURE}" in
+					amd64|i386|powerpc|sparc)
+						LIVE_MIRROR_BINARY_SECURITY="http://security.ubuntu.com/ubuntu/"
+						;;
+
+					*)
+						LIVE_MIRROR_BINARY_SECURITY="none"
+						;;
+				esac
 				;;
 		esac
 	fi
@@ -474,6 +536,11 @@
 	# LIVE_TASKS
 
 	# Setting security updates option
+	if [ "${LIVE_MIRROR_BOOTSTRAP_SECURITY}" = "none" ] || [ "${LIVE_MIRROR_BINARY_SECURITY}" = "none" ]
+	then
+		LIVE_SECURITY="disabled"
+	fi
+
 	LIVE_SECURITY="${LIVE_SECURITY:-enabled}"
 
 	# Setting symlink convertion option




More information about the Debian-live-changes mailing list